Receive the HIU subscription requests on init
Hosted by the HIP/HIU, not by ABDM. ABDM calls this endpoint at the callback URL registered for your bridge, so the path below is relative to that URL.
This API endpoint serves as a callback for the /api/hiecm/subscription-requests/v3/init API. It is used to handle the response from the subscription request initiation process. By invoking this API, the Health Information User (HIU) can receive and process the outcome of the subscription request, ensuring that the system accurately reflects the status and actions taken. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Identifier of the health information user to which the request was intended Random generated uniqueid. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$ Incase of success, error object is optional ABDM-1001 - No data found. May be returned either bare ( The appropriate error message Request id that was passed. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$ OK Bad Request The error code and message, if any occurred. ABDM-1031 - Invalid request. May be returned either bare ( Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-HIU-IDstringRequiredBody
subscriptionRequestobjectRequiredsubscriptionRequest.idstringerrorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequiredresponseobjectRequiredresponse.requestIdstringRequiredResponses
200400errorobjecterror.codestringRequiredABDM-1031) or with a trailing ": " separator (ABDM-1031: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring500timestampnumberRequiredpathstringRequiredstatusintegerRequirederrorstringRequiredrequestIdstringRequired503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Where this fits
You produce this callback by calling This API will be invoked by the HIU/patient/user to initiate subscription request..